Bug 7050 - Problem compiling samba 4.0.0alpha11
Problem compiling samba 4.0.0alpha11
Status: CLOSED INVALID
Product: Samba 4.0
Classification: Unclassified
Component: Build
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Jelmer Vernooij
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-20 08:44 UTC by Pierre
Modified: 2010-05-25 16:02 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre 2010-01-20 08:44:08 UTC
[...]
In file included from libcli/smb_composite/sesssetup.c:23:
./include/includes.h:28:2: error: #error "make sure you have removed all config.h files from standalone builds!"
./include/includes.h:29:2: error: #error "the included config.h isn't from samba!"
Generating dependencies for libcli/smb_composite/connect.c
In file included from libcli/smb_composite/connect.c:23:
./include/includes.h:28:2: error: #error "make sure you have removed all config.h files from standalone builds!"
./include/includes.h:29:2: error: #error "the included config.h isn't from samba!"
In file included from ./../libcli/nbt/libnbt.h:27,
                 from ./libcli/resolve/resolve.h:28,
                 from libcli/smb_composite/connect.c:29:
./../lib/replace/system/network.h:31:2: error: #error "AC_LIBREPLACE_NETWORK_CHECKS missing in configure"
./../lib/replace/system/network.h:335:5: error: #error IOV_MAX and UIO_MAXIOV undefined
Generating dependencies for libcli/smb_composite/savefile.c
In file included from libcli/smb_composite/savefile.c:23:
./include/includes.h:28:2: error: #error "make sure you have removed all config.h files from standalone builds!"
./include/includes.h:29:2: error: #error "the included config.h isn't from samba!"
Generating dependencies for libcli/smb_composite/loadfile.c
In file included from libcli/smb_composite/loadfile.c:23:
./include/includes.h:28:2: error: #error "make sure you have removed all config.h files from standalone builds!"
./include/includes.h:29:2: error: #error "the included config.h isn't from samba!"
Generating dependencies for lib/cmdline/credentials.c
In file included from lib/cmdline/credentials.c:20:
./include/includes.h:28:2: error: #error "make sure you have removed all config.h files from standalone builds!"
./include/includes.h:29:2: error: #error "the included config.h isn't from samba!"
Generating dependencies for librpc/gen_ndr/tables.c
In file included from librpc/gen_ndr/tables.c:4:
./include/includes.h:28:2: error: #error "make sure you have removed all config.h files from standalone builds!"
./include/includes.h:29:2: error: #error "the included config.h isn't from samba!"
Generating dependencies for dsdb/samdb/ldb_modules/ranged_results.c
In file included from dsdb/samdb/ldb_modules/ranged_results.c:32:
./include/includes.h:28:2: error: #error "make sure you have removed all config.h files from standalone builds!"
./include/includes.h:29:2: error: #error "the included config.h isn't from samba!"
Generating dependencies for param/secrets.c
In file included from param/secrets.c:24:
./include/includes.h:28:2: error: #error "make sure you have removed all config.h files from standalone builds!"
./include/includes.h:29:2: error: #error "the included config.h isn't from samba!"
Generating dependencies for lib/registry/tools/regdiff.c
In file included from lib/registry/tools/regdiff.c:22:
./include/includes.h:28:2: error: #error "make sure you have removed all config.h files from standalone builds!"
./include/includes.h:29:2: error: #error "the included config.h isn't from samba!"
Generating dependencies for librpc/gen_ndr/ndr_winstation.c
In file included from librpc/gen_ndr/ndr_winstation.c:3:
./include/includes.h:28:2: error: #error "make sure you have removed all config.h files from standalone builds!"
./include/includes.h:29:2: error: #error "the included config.h isn't from samba!"
Generating dependencies for lib/registry/tools/regpatch.c
In file included from lib/registry/tools/regpatch.c:21:
./include/includes.h:28:2: error: #error "make sure you have removed all config.h files from standalone builds!"
./include/includes.h:29:2: error: #error "the included config.h isn't from samba!"
Generating dependencies for smbd/process_standard.c
In file included from smbd/process_standard.c:24:
./include/includes.h:28:2: error: #error "make sure you have removed all config.h files from standalone builds!"
./include/includes.h:29:2: error: #error "the included config.h isn't from samba!"
Generating dependencies for nbt_server/wins/wins_ldb.c
In file included from nbt_server/wins/wins_ldb.c:30:
./include/includes.h:28:2: error: #error "make sure you have removed all config.h files from standalone builds!"
./include/includes.h:29:2: error: #error "the included config.h isn't from samba!"
In file included from ./../libcli/nbt/libnbt.h:27,
                 from ./nbt_server/nbt_server.h:22,
                 from nbt_server/wins/wins_ldb.c:32:
./../lib/replace/system/network.h:31:2: error: #error "AC_LIBREPLACE_NETWORK_CHECKS missing in configure"
./../lib/replace/system/network.h:335:5: error: #error IOV_MAX and UIO_MAXIOV undefined


and it blocks here
Comment 1 Matthias Dieter Wallnöfer 2010-01-21 01:47:25 UTC
This is too less information for us to help.

First we have this message "./include/includes.h:28:2: error: #error "make sure you have removed all config.h files from standalone builds!": did you perform merged builds with s3.x or always standalone s4 builds?

Which is the platform on which you compile (architecture, operating system)? Compiler should be "gcc" and libc "glibc" I imagine?

Did you use certain compiler options? Otherwise, did you try a "git clean -d -f -x ." in the branch root directory and restart again with "./autogen.sh", "./configure" and "make"? Often this surprisingly simple command sequence makes the build work again since it removes all generated relicts (think of object files of source code which doesn't exist anymore or has been moved) from older builds.
Comment 2 Matthias Dieter Wallnöfer 2010-01-29 14:03:03 UTC
We fixed some issues regarding header includes. If the problems still occur with the latest code, please reopen. You can read the "howto4.txt" file to learn about how to check out our repo to get access to the latest code (using GIT).
Comment 3 Pierre 2010-04-21 20:25:00 UTC
It is a standalone build, I grab the tar archive from the ftp for samba4

Platform is x86 pc with GNU/Linux, gcc 4.4 and glibc 2.10

I will try the next release when you will make it.